WinBase.OVERLAPPED (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase, class: OVERLAPPED

Package com.sun.jna.platform.win32

# Class WinBase.OVERLAPPED

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinBase.OVERLAPPED

Enclosing interface:
  WinBase

@FieldOrder({"Internal","InternalHigh","Offset","OffsetHigh","hEvent"}) public static class WinBase.OVERLAPPED extends Structure
The OVERLAPPED structure contains information used in asynchronous (or overlapped) input and output (I/O).

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinNT.HANDLE`
  `hEvent`
  `BaseTSD.ULONG_PTR`
  `Internal`
  `BaseTSD.ULONG_PTR`
  `InternalHigh`
  `int`
  `Offset`
  `int`
  `OffsetHigh`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OVERLAPPED()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Internal

    public BaseTSD.ULONG_PTR Internal

  - ### InternalHigh

    public BaseTSD.ULONG_PTR InternalHigh

  - ### Offset

    public int Offset

  - ### OffsetHigh

    public int OffsetHigh

  - ### hEvent

    public WinNT.HANDLE hEvent

- ## Constructor Details

  - ### OVERLAPPED

    public OVERLAPPED()